%define upstream_name	 AppConfig-Std
%define upstream_version 1.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Subclass of AppConfig that provides standard options
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/AppConfig/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AppConfig) >= 1.520.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Usage) >= 1.140.0
BuildRequires: perl-AppConfig
BuildArch:  noarch

%description
AppConfig::Std is a Perl module that provides a set of standard configuration
variables and command-line switches. It is implemented as a subclass of
AppConfig; AppConfig provides a general mechanism for handling global
configuration variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/AppConfig/*
%{_mandir}/*/*


%changelog
* Sun Nov 15 2015 tv <tv> 1.100.0-1.mga6
+ Revision: 903329
- new release

* Sun Oct 19 2014 umeabot <umeabot> 1.90.0-5.mga5
+ Revision: 788459
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.90.0-4.mga5
+ Revision: 741796
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.90.0-3.mga5
+ Revision: 731829
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 1.90.0-2.mga5
+ Revision: 683531
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 shlomif <shlomif> 1.90.0-1.mga5
+ Revision: 583808
- update to 1.09

* Sat Oct 19 2013 umeabot <umeabot> 1.80.0-2.mga4
+ Revision: 530302
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 1.80.0-1.mga4
+ Revision: 457089
- update to 1.08

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-2.mga3
+ Revision: 363088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 33580
- mageia rebuild
- imported package perl-AppConfig-Std

